Subject: bug#7944: closed (Re: bug#7944: Should AM_PATH_PYTHON call AC_ARG_VAR?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Feb 2011 10:12:02 +0000

Your bug report

#7944: Should AM_PATH_PYTHON call AC_ARG_VAR?

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7944: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7944
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7944: Should AM_PATH_PYTHON call AC_ARG_VAR?
From: Stefano Lattarini <[email-masked]>
To: Jack Kelly <[email-masked]>, [email-masked]
Date: Fri, 18 Feb 2011 11:10:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Monday 31 January 2011, Jack Kelly wrote:
> On Tue, Feb 1, 2011 at 7:31 AM, Stefano Lattarini
> <[email-masked]> wrote:
> > On Monday 31 January 2011, Jack Kelly wrote:
> > > I've noticed that if you put AM_PATH_PYTHON in configure.ac, it
> > > doesn't add an entry for PYTHON in ./configure --help. Is PYTHON meant
> > > to be a user's variable?
> > According to the comments in `m4/python.m4' and to the tests
> > `python{4,6,11}.test', it is (and I think that's a good policy).
> > Documenting the fact in the configure help screen and in the
> > manual would be a good idea too.  What about the attached patch?
> 
> > BTW, Jack, are you the same Jack Kelly already listed in THANKS
> > ("Jack Kelly <[email-masked]>")?  If yes, should we update
> > your e-mail address?
> 
> Yes I am, and yes please.
> 
> -- Jack
> 

The bug has been fixed with commit v1.11-312-g5bf7af6:
 <http://lists.gnu.org/archive/html/automake-patches/2011-02/msg00035.html>

I'm thus closing this report.

Regards,
   Stefano

Subject: Should AM_PATH_PYTHON call AC_ARG_VAR?
From: Jack Kelly <[email-masked]>
To: [email-masked]
Date: Mon, 31 Jan 2011 10:11:29 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi automakers,

I've noticed that if you put AM_PATH_PYTHON in configure.ac, it
doesn't add an entry for PYTHON in ./configure --help. Is PYTHON meant
to be a user's variable?

Minimal configure.ac:

AC_INIT
AM_PATH_PYTHON
AC_OUTPUT

-- Jack